Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS02ajIyLXd2OGctODk0Zs4AAga8

Potential Cross-site Scripting vulnerability in Hydrogen

Impact

There is a potential Cross-Site Scripting (XSS) vulnerability where an arbitrary user is able to execute scripts on pages that are built with Hydrogen. This affects all versions of Hydrogen starting from version 0.10.0 to 0.18.0. This vulnerability is exploitable in applications whose hydrating data is user controlled.

Patches

All Hydrogen users should upgrade their project to v0.19.0.

Workarounds

There is no current workaround, and users should update as soon as possible.

Additionally, the Content Security Policy is not an effective mitigation for this vulnerability.

References

GitHub: Hydrogen v0.19.0
Fix PR: https://github.com/Shopify/hydrogen/pull/1272

For more information

If you have any questions or comments about this advisory:

Permalink: https://github.com/advisories/GHSA-6j22-wv8g-894f
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS02ajIyLXd2OGctODk0Zs4AAga8
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: almost 2 years ago
Updated: about 1 year ago


CVSS Score: 6.3
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L

Identifiers: GHSA-6j22-wv8g-894f, CVE-2022-29230
References: Repository: https://github.com/Shopify/hydrogen
Blast Radius: 16.4

Affected Packages

npm:@shopify/hydrogen
Dependent packages: 37
Dependent repositories: 394
Downloads: 63,134 last month
Affected Version Ranges: >= 0.10.0, < 0.19.0
Fixed in: 0.19.0
All affected versions: 0.10.0, 0.10.1, 0.11.0, 0.11.1, 0.12.0, 0.13.0, 0.13.1, 0.13.2, 0.14.0, 0.15.0, 0.16.0, 0.16.1, 0.17.0, 0.17.1, 0.17.2, 0.17.3, 0.18.0
All unaffected versions: 0.1.0, 0.1.1, 0.1.2, 0.2.0, 0.2.1, 0.3.0, 0.4.0, 0.4.2, 0.4.3, 0.5.1, 0.5.3, 0.5.8, 0.6.0, 0.6.1, 0.6.2, 0.6.3, 0.6.4, 0.7.0, 0.7.1, 0.8.0, 0.8.1, 0.8.2, 0.8.3, 0.9.0, 0.9.1, 0.19.0, 0.20.0, 0.21.0, 0.22.0, 0.22.1, 0.23.0, 0.24.0, 0.25.0, 0.25.1, 0.26.0, 0.26.1, 0.27.0, 0.27.1, 0.27.2, 1.0.0, 1.0.1, 1.0.2, 1.1.0, 1.2.0, 1.3.0, 1.3.1, 1.3.2, 1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.5.0, 1.6.0, 1.6.1, 1.6.2, 1.6.3, 1.6.4, 1.6.5, 1.6.6, 1.6.7, 1.6.8, 1.7.0, 1.7.1, 1.7.2, 1.7.3, 1.7.4, 2023.1.0, 2023.1.1, 2023.1.2, 2023.1.3, 2023.1.4, 2023.1.5, 2023.1.6, 2023.1.7, 2023.1.8, 2023.4.0, 2023.4.1, 2023.4.2, 2023.4.3, 2023.4.4, 2023.4.5, 2023.4.6, 2023.4.7, 2023.7.0, 2023.7.1, 2023.7.2, 2023.7.3, 2023.7.4, 2023.7.5, 2023.7.6, 2023.7.7, 2023.7.8, 2023.7.9, 2023.7.10, 2023.7.11, 2023.7.12, 2023.7.13, 2023.7.14, 2023.7.15, 2023.10.0, 2023.10.1, 2023.10.2, 2023.10.3, 2023.10.4, 2023.10.5, 2023.10.6, 2024.1.0, 2024.1.1, 2024.1.2, 2024.1.3, 2024.1.4, 2024.1.5, 2024.1.6, 2024.4.0